List playbooks with optional filtering
curl --request GET \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"actions": [
{
"action_full_name": "<string>",
"collection_icon_uri": "<string>",
"collection_name": "<string>",
"full_name": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"active": true,
"analyst_copilot_workflow": true,
"automation_origin_id": "<string>",
"automation_type": "<string>",
"created_at": 123,
"created_by": "<string>",
"custom_timeout": 123,
"deleted": "<string>",
"display_settings": {
"description": "Automates common tasks",
"display_as_html": true,
"icon": "company-blink",
"name": "Blink Automation"
},
"icon": "company-blink",
"id": "<string>",
"is_icon_selected_by_user": true,
"is_otb": true,
"is_request": true,
"max_concurrency_level": 123,
"name": "My Workflow",
"notification_emails": "<string>",
"pack_id": "00000000-0000-0000-0000-000000000000",
"playbook": "<string>",
"playbook_to_run_on_error": "<string>",
"preferred_engine_version": "<string>",
"runner": "<string>",
"step_transition_limit": 123,
"tags": [
"k8s"
],
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"used_connections": [
"<string>"
],
"used_global_variables": [
"<string>"
],
"used_subflows": [
"<string>"
],
"used_tables": [
"<string>"
],
"version": "1",
"wizard_id": "<string>",
"workspace_id": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Workflows
List playbooks with optional filtering
API endpoint to list all playbooks in your workspace with optional filtering.
GET
/
workspace
/
{ws_id}
/
playbooks
List playbooks with optional filtering
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Query Parameters
The RQL query object to filter playbooks by. For more information, see our RQL documentation
Was this page helpful?
⌘I